#!/bin/sh
#Script to build SaWMan by Yan Wang in MediaTek

if [ true ]; then

	export DFB_DIR=$(pwd)/../../../library/DirectFB/DirectFB-1.2.7
	export INSTALL_DIR=$(pwd)/../../../library/sawman/sawman-1.4.0
	export CFLAGS="${CFLAGS} -I$(pwd)/../../../library/linux-fusion/linux-fusion-8.2.0/include"

	if [ -e ${DFB_DIR}/lib/libdirectfb.la ]; then
		mv ${DFB_DIR}/lib/libdirectfb.la ${DFB_DIR}/lib/libdirectfb.la_
	fi

	if [ -z ${MAKE}];then
		MAKE="make"
	fi

	${MAKE} DESTDIR=${INSTALL_DIR} install

	MAKE_RET=$?
	if [ $MAKE_RET -ne 0 ]; then

		if test -z "${CROSS_COMPILE}"; then
			CROSS_COMPILE=armv6z-mediatek-linux-gnueabi-
		fi

		export CC=${CROSS_COMPILE}gcc
		export AR=${CROSS_COMPILE}ar
		export LD=${CROSS_COMPILE}ld
		export RANLIB=${CROSS_COMPILE}ranlib

		export DFB_LIBS="-L${DFB_DIR}/lib -ldirectfb -ldirect -lpthread"
		export DFB_CFLAGS="-D_REENTRANT -I${DFB_DIR}/usr/include/directfb-internal -I${DFB_DIR}/usr/include/directfb"

		#export PKG_CONFIG_PATH="${DFB_DIR}/lib/pkgconfig"

		${MAKE} clean
		${MAKE} distclean

		./configure \
		--prefix=/usr \
		--host=armv6z-mediatek-linux-gnueabi

		MAKE_RET=$?
		if [ $MAKE_RET -ne 0 ]
		then
			if [ -e ${DFB_DIR}/lib/libdirectfb.la_ ]; then
				mv ${DFB_DIR}/lib/libdirectfb.la_ ${DFB_DIR}/lib/libdirectfb.la
			fi
			echo -e "\033[40;31mSaWMan Configure Fail...($MAKE_RET)\033[0m"
			exit $MAKE_RET
		fi

		${MAKE} DESTDIR=${INSTALL_DIR} install

		MAKE_RET=$?
		if [ $MAKE_RET -ne 0 ]
		then
			if [ -e ${DFB_DIR}/lib/libdirectfb.la_ ]; then
				mv ${DFB_DIR}/lib/libdirectfb.la_ ${DFB_DIR}/lib/libdirectfb.la
			fi
			echo -e "\033[40;31mSaWMan Build Fail...($MAKE_RET)\033[0m"
			exit $MAKE_RET
		else
			if [ -e ${DFB_DIR}/lib/libdirectfb.la_ ]; then
				mv ${DFB_DIR}/lib/libdirectfb.la_ ${DFB_DIR}/lib/libdirectfb.la
			fi
			echo -e "\033[40;32mSaWMan Build Success\033[0m"
			exit $MAKE_RET
		fi

	else
		if [ -e ${DFB_DIR}/lib/libdirectfb.la_ ]; then
			mv ${DFB_DIR}/lib/libdirectfb.la_ ${DFB_DIR}/lib/libdirectfb.la
		fi
		echo -e "\033[40;32mSaWMan Build Success\033[0m"
		exit 0
	fi

else
	echo -e "\033[40;31mDirectFB is not supported!\033[0m"
	echo -e "\033[40;31mNo need to build SaWMan!\033[0m"
	exit 0
fi
